Subject: RE: Configuring Routers

From: "Bound, Jim" <[email-masked]>
Date: Wed, 6 Mar 2002 11:09:23 -0500

Pekka,

Have you read DHCPv6 or is this opinion based on what you have heard?

The protocol DHCP (v4 or v6) is good for 'nodes' and optimized.  With
DHCPv6 we also added multicast to its capabilities which adds much value
to dhcp.  

/jim

> -----Original Message-----
> From: Pekka Savola [mailto:[email-masked]]
> Sent: Wednesday, February 20, 2002 4:33 AM
> To: Robert Elz
> Cc: Tony Hain; Ole Troan; Francis Dupont; NOISETTE Yoann FTRD/DMI/CAE;
> 'Yamasaki Toshi'; Lilian Fernandes; [email-masked];
> [email-masked]
> Subject: Re: Configuring Routers
> 
> 
> On Mon, 18 Feb 2002, Robert Elz wrote:
> > It could just be that people believe that the only way to 
> ever configure
> > a router is manually, and that any protocol to automate the 
> process is
> > necessarily flawed.   If so, I'd like to understand why, 
> but I think I'd
> > tend to ignore that sentiment - other than to make sure 
> that implementations
> > keep on making it possible to manually configure, so that people who
> > believe this don't have the rug yanked out from under them 
> (and in certain
> > particular circumstances, I think this probably includes all of us).
> 
> In my opinion, DHCP was not designed, from the start, to configure 
> routers.  Now, as an afterthough, capabilities are added to 
> do just that.  
> My worry is that some of the basic assumptions of DHCP 
> architecture do not 
> necessarily fit well into the new requirements of configuring routers.
> 
> From an operational point-of-view, I would not like have automatic
> configuration mechanisms (apart from, possibly, NTP/DNS/... 
> settings) for
> the important routers.
> 
> However, to make renumbering even remotely possible, I don't see a
> problem, as such, with configuring very simple routers (don't 
> run routing
> protocols at all, no access-lists or acl's dynamically 
> created, etc.) like
> DSL/Cable boxes via some mechanism.  I think that would only 
> be sensible.
> 
> -- 
> Pekka Savola                 "Tell me of difficulties surmounted,
> Netcore Oy                   not those you stumble over and fall"
> Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords
> 
> 
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------